Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Macros | Functions
vm_debug.h File Reference
`#include "ruby/ruby.h"`
`#include "node.h"`

Go to the source code of this file.

## Macros
#define | dpv(h, v) ruby_debug_print_value(-1, 0, (h), (v))
#define | dp(v) ruby_debug_print_value(-1, 0, "", (v))
#define | dpi(i) ruby_debug_print_id(-1, 0, "", (i))
#define | dpn(n) ruby_debug_print_node(-1, 0, "", (n))

## Functions
VALUE | ruby_debug_print_value (int level, int debug_level, const char *header, VALUE v)
ID | ruby_debug_print_id (int level, int debug_level, const char *header, ID id)
NODE * | ruby_debug_print_node (int level, int debug_level, const char *header, const NODE *node)
int | ruby_debug_print_indent (int level, int debug_level, int indent_level)
void | ruby_debug_gc_check_func (void)
void | ruby_set_debug_option (const char *str)

## Macro Definition Documentation

## ◆ dp

#define dp | ( |  | v | ) | ruby_debug_print_value(-1, 0, "", (v))

Definition at line 21 of file vm_debug.h.

## ◆ dpi

#define dpi | ( |  | i | ) | ruby_debug_print_id(-1, 0, "", (i))

Definition at line 22 of file vm_debug.h.

## ◆ dpn

#define dpn | ( |  | n | ) | ruby_debug_print_node(-1, 0, "", (n))

Definition at line 23 of file vm_debug.h.

## ◆ dpv

#define dpv | ( |  | h,
|  |  | v
| ) |  | ruby_debug_print_value(-1, 0, (h), (v))

Definition at line 20 of file vm_debug.h.

## Function Documentation

## ◆ ruby_debug_gc_check_func()

void ruby_debug_gc_check_func | ( | void |  | ) |

## ◆ ruby_debug_print_id()

ID ruby_debug_print_id | ( | int | level,
|  | int | debug_level,
|  | const char * | header,
|  | ID | id
| ) |  |

Definition at line 115 of file debug.c.

## ◆ ruby_debug_print_indent()

int ruby_debug_print_indent | ( | int | level,
|  | int | debug_level,
|  | int | indent_level
| ) |  |

Definition at line 74 of file debug.c.

## ◆ ruby_debug_print_node()

NODE* ruby_debug_print_node | ( | int | level,
|  | int | debug_level,
|  | const char * | header,
|  | const NODE * | node
| ) |  |

Definition at line 125 of file debug.c.

## ◆ ruby_debug_print_value()

VALUE ruby_debug_print_value | ( | int | level,
|  | int | debug_level,
|  | const char * | header,
|  | VALUE | v
| ) |  |

Definition at line 96 of file debug.c.

## ◆ ruby_set_debug_option()

void ruby_set_debug_option | ( | const char * | str | ) |

Definition at line 226 of file debug.c.